function formatDate(i18nContext, month) {
    return `${i18nContext.named('day') ? i18nContext.named('day') + '. ' : ''}${month}${i18nContext.named('year') ? ' ' + i18nContext.named('year') : ''}`;
}

export default {
    'January': (ctx) => formatDate(ctx, 'Januar'),
    'February': (ctx) => formatDate(ctx, 'Februar'),
    'March': (ctx) => formatDate(ctx, 'März'),
    'April': (ctx) => formatDate(ctx, 'April'),
    'May': (ctx) => formatDate(ctx, 'Mai'),
    'June': (ctx) => formatDate(ctx, 'Juni'),
    'July': (ctx) => formatDate(ctx, 'Juli'),
    'August': (ctx) => formatDate(ctx, 'August'),
    'September': (ctx) => formatDate(ctx, 'September'),
    'October': (ctx) => formatDate(ctx, 'Oktober'),
    'November': (ctx) => formatDate(ctx, 'November'),
    'December': (ctx) => formatDate(ctx, 'Dezember'),
    '{0} day ago': 'vor einem Tag | vor {0} Tagen',
    '{0} filter': '{0} Filter',
    '{0} hour ago': 'vor einer Stunde | vor {0} Stunden',
    '{0} logo': '{0} Logo',
    '{0} minute ago': 'vor einer Minute | vor {0} Minuten',
    '{0} month ago': 'vor einem Monat | vor {0} Monaten',
    '{0} reviews': '0 Rezensionen | eine Rezension | {0} Rezensionen',
    '{0} second ago': 'vor einer Sekunde | vor {0} Sekunden',
    '{0} verified reviews with an average of {1} stars out of 5 by Okendo Reviews': '{0} verifizierte Bewertungen mit einem Durchschnitt von {1} von 5 Sternen durch Okendo Reviews',
    '{0} week ago': 'vor einer Woche | vor {0} Wochen',
    '{0} year ago': 'vor einem Jahr | vor {0} Jahren',
    '+ {0} more': '+ {0} mehr',
    'All Products': 'Alle Produkte',
    'All Reviews': 'Alle Rezensionen',
    'Ask a Question': 'Eine Frage stellen',
    'Based on {0} reviews': 'Basierend auf 0 Rezensionen | Basierend auf einer Rezension | Basierend auf {0} Rezensionen',
    'Clear': 'Löschen',
    'Click to scroll to reviews': 'Klicken, um zu den Rezensionen zu scrollen',
    'Close Dialog': 'Dialog schließen',
    'Customer-uploaded image, show more details': 'Bild wurde von einem Kunden hochgeladen – weitere Einzelheiten anzeigen',
    'Customer-uploaded image': 'Bild wurde von einem Kunden hochgeladen',
    'Customer-uploaded media carousel. Press left and right arrows to navigate. Press space or enter to open more details.': 'Medien-Karussell wurde von einem Kunden hochgeladen. Linke oder rechte Pfeile zum Navigieren drücken. Leertaste oder Eingabetaste drücken für weitere Einzelheiten.',
    'Customer-uploaded video, show more details': 'Video wurde von einem Kunden hochgeladen – weitere Einzelheiten anzeigen',
    'Customer-uploaded video': 'Bild wurde von einem Kunden hochgeladen',
    'Error Loading Filters': 'Fehler beim Laden von Filtern',
    'Error Loading Review': 'Fehler beim Laden der Rezension',
    'Error occurred loading reviews, please try again': 'Fehler beim Laden der Rezensionen, bitte erneut versuchen',
    'Error occurred while loading {0}': 'Beim Laden von {0} ist ein Fehler aufgetreten',
    'Filters': 'Filter',
    'Flag of {0}': 'Flagge von {0}',
    'from {0}': 'von {0}',
    'group': 'gruppe',
    'Highest Rating': 'Höchste Bewertung',
    'I do not recommend this product': 'Ich empfehle dieses Produkt nicht',
    'I had this question too': 'Ich hatte auch diese Frage',
    'I recommend this product': 'Ich empfehle dieses Produkt',
    'Just now': 'Gerade eben',
    'Least Helpful': 'Am wenigsten hilfreich',
    'Loading {0}': 'Lädt {0}',
    'Loading More Reviews': 'Weitere Rezensionen werden geladen',
    'Loading more': 'Mehr laden',
    'Loading Questions...': 'Fragen werden geladen …',
    'Loading Reviews': 'Rezensionen werden geladen',
    'Loading...': 'Wird geladen …',
    'Lowest Rating': 'Niedrigste Bewertung',
    'Most Helpful': 'Am hilfreichsten',
    'Most Recent': 'Am neuesten',
    'Next Slide': 'Nächste Folie',
    'Next': 'Weiter',
    'No questions yet, ask one now?': 'Es gibt noch keine Fragen, möchtest du jetzt eine stellen?',
    'No questions yet': 'Noch keine Fragen',
    'No Reviews Found': 'Keine Rezensionen gefunden',
    'No reviews yet, write one now?': 'Es gibt noch keine Rezensionen, möchtest du jetzt eine schreiben?',
    'No reviews yet': 'Noch keine Rezensionen',
    'No, this review was not helpful': 'Nein, diese Rezension war nicht hilfreich',
    'Oldest': 'Am ältesten',
    'out of 5 Stars': 'von 5 Sternen',
    'person voted no': 'Person stimmte mit „Nein“ | Personen stimmten mit „Nein“',
    'person voted yes': 'Person stimmte mit „Ja“ | Personen stimmten mit „Ja“',
    'Photos & Videos': 'Fotos und Videos',
    'Posted on Instagram {0}': 'Auf Instagram gepostet {0}',
    'Powered by Okendo': 'Powered by Okendo',
    'Press left and right arrows to navigate.': 'Linke oder rechte Pfeile zum Navigieren drücken.',
    'Previous Slide': 'Vorherige Folie',
    'Previous': 'Zurück',
    'Profile picture for {0}': 'Profilbild für {0}',
    'Question': 'Fragen | Frage | Fragen',
    'Questions': 'Fragen',
    'Rated {0} on a scale of 1 to 5': 'Bewertet mit {0} auf einer Skala von 1 bis 5',
    'Rated {0} on a scale of minus 2 to 2': 'Bewertet mit {0} auf einer Skala von minus 2 bis 2',
    'Rating distribution': 'Bewertungsverteilung',
    'Rating filter': 'Bewertungsfilter',
    'Rating': 'Bewertung',
    'Read More': 'Mehr lesen',
    'Retry': 'Erneut versuchen',
    'Review Carousel': 'Bewertungskarussell',
    'Review': 'Rezensionen | Rezension | Rezensionen',
    'Reviewing': 'Rezensieren',
    'Reviews Added': 'Rezensionen hinzugefügt',
    'Reviews Loaded': 'Rezensionen geladen',
    'Reviews': 'Rezensionen',
    'Show More': 'Mehr anzeigen',
    'Slide {0} selected': 'Bild {0} ausgewählt',
    'Slide {0}': 'Bild {0}',
    'Sort': 'Sortieren',
    'Stars': 'Sterne',
    'Total {0} star reviews: {1}': '{0}-Sterne-Bewertungen insgesamt: {1}',
    'Try Again': 'Erneut versuchen',
    'Unexpected error occurred, please try again': 'Unerwarteter Fehler aufgetreten, bitte versuche es erneut',
    'User Media and Reviews Gallery': 'Nutzergalerie für Medien und Rezensionen',
    'Verified Buyer': 'Verifizierter Käufer',
    'Verified Reviewer': 'Verifizierter Rezensent',
    'Verified Reviews': 'Verifizierte Rezensionen',
    'View {0}': '{0} anzeigen',
    'Viewing Slides {0} to {1} of {2}': 'Anzeigen der Folien {0} bis {1} von {2}',
    'Was this helpful?': 'War das hilfreich?',
    'would recommend these products': 'würde diese Produkte empfehlen',
    'would recommend this product': 'würde(n) dieses Produkt empfehlen',
    'Write a Review': 'Rezension schreiben',
    'Yes, this review was helpful': 'Ja, diese Rezension war hilfreich',
    'Yesterday': 'Gestern'
};
