function formatDate(i18nContext, month) {
    return `${i18nContext.named('day') ? i18nContext.named('day') + '. ' : ''}${month}${i18nContext.named('year') ? ' ' + i18nContext.named('year') : ''}`;
}

export default {
    'January': (ctx) => formatDate(ctx, 'Januar'),
    'February': (ctx) => formatDate(ctx, 'Februar'),
    'March': (ctx) => formatDate(ctx, 'März'),
    'April': (ctx) => formatDate(ctx, 'April'),
    'May': (ctx) => formatDate(ctx, 'Mai'),
    'June': (ctx) => formatDate(ctx, 'Juni'),
    'July': (ctx) => formatDate(ctx, 'Juli'),
    'August': (ctx) => formatDate(ctx, 'August'),
    'September': (ctx) => formatDate(ctx, 'September'),
    'October': (ctx) => formatDate(ctx, 'Oktober'),
    'November': (ctx) => formatDate(ctx, 'November'),
    'December': (ctx) => formatDate(ctx, 'Dezember'),
    '{0} day ago': 'Vor 1 Tag | Vor {0} Tagen',
    '{0} filter': '{0} Filter',
    '{0} hour ago': 'Vor 1 Stunde | Vor {0} Stunden',
    '{0} logo': '{0} Logo',
    '{0} minute ago': 'Vor 1 Minute| Vor {0} Minuten',
    '{0} month ago': 'Vor 1 Monat | Vor {0} Monaten',
    '{0} reviews': '0 Rezensionen | 1 Rezension | {0} Rezensionen',
    '{0} second ago': 'Vor 1 Sekunde | Vor {0} Sekunden',
    '{0} verified reviews with an average of {1} stars out of 5 by Okendo Reviews': '{0} verifizierte Bewertungen mit einem Durchschnitt von {1} von 5 Sternen durch Okendo Reviews',
    '{0} week ago': 'Vor 1 Woche | Vor {0} Wochen',
    '{0} year ago': 'Vor 1 Jahr | Vor {0} Jahren',
    '+ {0} more': '+ {0} mehr',
    'All Products': 'Alle Produkte',
    'All Reviews': 'Alle Rezensionen',
    'Ask a Question': 'Eine Frage stellen',
    'Based on {0} reviews': 'Basierend auf 0 Rezensionen | Basierend auf 1 Rezension | Basierend auf {0} Rezensionen',
    'Clear': 'Löschen',
    'Click to scroll to reviews': 'Hier klicken, um durch die Rezensionen zu scrollen',
    'Close Dialog': 'Dialog schließen',
    'Customer-uploaded image, show more details': 'Vom Kunden hochgeladenes Bild, weitere Details einblenden',
    'Customer-uploaded image': 'Vom Kunden hochgeladenes Bild',
    'Customer-uploaded media carousel. Press left and right arrows to navigate. Press space or enter to open more details.': 'Vom Kunden hochgeladenes Medienkarussell. Drücken Sie zur Navigation mit den Pfeiltasten nach links und rechts. Drücken Sie die Leertaste oder die Eingabetaste, um weitere Details aufzurufen.',
    'Customer-uploaded video, show more details': 'Vom Kunden hochgeladenes Video, weitere Details einblenden',
    'Customer-uploaded video': 'Vom Kunden hochgeladenes Video',
    'Error Loading Filters': 'Fehler beim Laden der Filter',
    'Error Loading Review': 'Fehler beim Laden der Rezension',
    'Error occurred loading reviews, please try again': 'Fehler beim Laden der Rezensionen – bitte versuchen Sie es erneut',
    'Error occurred while loading {0}': 'Beim Laden von {0} ist ein Fehler aufgetreten',
    'Filters': 'Filter',
    'Flag of {0}': 'Flagge von {0}',
    'from {0}': 'von {0}',
    'group': 'gruppe',
    'Highest Rating': 'Höchste Bewertung',
    'I do not recommend this product': 'Ich empfehle dieses Produkt nicht',
    'I had this question too': 'Diese Frage hatte ich auch',
    'I recommend this product': 'Ich empfehle dieses Produkt weiter',
    'Just now': 'Gerade jetzt',
    'Least Helpful': 'Am wenigsten hilfreich',
    'Loading {0}': '{0} wird geladen',
    'Loading More Reviews': 'Weitere Bewertungen werden geladen.',
    'Loading more': 'Mehr wird geladen',
    'Loading Questions...': 'Fragen werden geladen ...',
    'Loading Reviews': 'Rezensionen werden geladen',
    'Loading...': 'Wird geladen ...',
    'Lowest Rating': 'Niedrigste Bewertung',
    'Most Helpful': 'Am hilfreichsten',
    'Most Recent': 'Aktuellstes',
    'Next Slide': 'Nächste Folie',
    'Next': 'Weiter',
    'No questions yet, ask one now?': 'Bisher gibt es keine Fragen. Wollen Sie jetzt eine stellen?',
    'No questions yet': 'Noch keine Fragen',
    'No Reviews Found': 'Keine Bewertungen gefunden',
    'No reviews yet, write one now?': 'Bisher gibt es noch keine Bewertungen. Wollen Sie jetzt eine schreiben?',
    'No reviews yet': 'Bisher gibt es noch keine Bewertungen',
    'No, this review was not helpful': 'Nein, diese Bewertung war nicht hilfreich',
    'Oldest': 'Ältestes',
    'out of 5 Stars': 'von 5 Sternen',
    'person voted no': 'Person stimmte mit nein | Personen stimmten mit nein',
    'person voted yes': 'Person stimmte mit ja | Personen stimmten mit ja',
    'Photos & Videos': 'Fotos und Videos',
    'Posted on Instagram {0}': 'Gepostet auf Instagram {0}',
    'Powered by Okendo': 'Angetrieben durch Okendo',
    'Press left and right arrows to navigate.': 'Klicken Sie zur Navigation auf die Pfeile links und rechts.',
    'Previous Slide': 'Vorherige Folie',
    'Previous': 'Zurück',
    'Profile picture for {0}': 'Profilbild für {0}',
    'Question': 'Fragen | Frage | Fragen',
    'Questions': 'Fragen',
    'Rated {0} on a scale of 1 to 5': 'Bewertet {0} auf einer Skala von 1 bis 5',
    'Rated {0} on a scale of minus 2 to 2': 'Bewertet {0} auf einer Skala von -2 bis +2',
    'Rating distribution': 'Verteilung der Bewertungen',
    'Rating filter': 'Bewertungsfilter',
    'Rating': 'Bewertung',
    'Read More': 'Mehr lesen',
    'Retry': 'Erneut versuchen',
    'Review Carousel': 'Karussell bewerten',
    'Review': 'Rezensionen | Rezension | Rezensionen',
    'Reviewing': 'Bewerten',
    'Reviews Added': 'Rezensionen hinzugefügt',
    'Reviews Loaded': 'Rezensionen geladen',
    'Reviews': 'Rezensionen',
    'Show More': 'Mehr zeigen',
    'Slide {0} selected': 'Folie {0} ausgewählt',
    'Slide {0}': 'Folie {0}',
    'Sort': 'Sortieren',
    'Stars': 'Sterne',
    'Total {0} star reviews: {1}': 'Insgesamt {0}-Stern-Bewertungen: {1}',
    'Try Again': 'Erneut versuchen',
    'Unexpected error occurred, please try again': 'Es gab einen unerwarteten Fehler. Bitte versuchen Sie es noch einmal.',
    'User Media and Reviews Gallery': 'Galerie der Benutzermedien und Bewertungen',
    'Verified Buyer': 'Verifizierter Käufer',
    'Verified Reviewer': 'Verifizierter Rezensent',
    'Verified Reviews': 'Verifizierte Bewertungen',
    'View {0}': '{0} ansehen',
    'Viewing Slides {0} to {1} of {2}': 'Folien {0} bis {1} von {2} werden angezeigt.',
    'Was this helpful?': 'War dies hilfreich?',
    'would recommend these products': 'würde diese Produkt weiterempfehlen',
    'would recommend this product': 'würde dieses Produkt weiterempfehlen',
    'Write a Review': 'Eine Rezension schreiben',
    'Yes, this review was helpful': 'Ja, diese Rezension war hilfreich',
    'Yesterday': 'Gestern'
};
