function formatDate(i18nContext, month) {
    const dayExists = i18nContext.named('day');
    return `${dayExists ? i18nContext.named('day') + ' de ' : ''}${month}${i18nContext.named('year') ? (!dayExists ? ' ' : '') + 'de ' + i18nContext.named('year') : ''}`;
}

export default {
    'January': (ctx) => formatDate(ctx, 'enero'),
    'February': (ctx) => formatDate(ctx, 'febrero'),
    'March': (ctx) => formatDate(ctx, 'marzo'),
    'April': (ctx) => formatDate(ctx, 'abril'),
    'May': (ctx) => formatDate(ctx, 'mayo'),
    'June': (ctx) => formatDate(ctx, 'junio'),
    'July': (ctx) => formatDate(ctx, 'julio'),
    'August': (ctx) => formatDate(ctx, 'agosto'),
    'September': (ctx) => formatDate(ctx, 'septiembre'),
    'October': (ctx) => formatDate(ctx, 'octubre'),
    'November': (ctx) => formatDate(ctx, 'noviembre'),
    'December': (ctx) => formatDate(ctx, 'diciembre'),
    '{0} day ago': 'Hace 1 día | Hace {0}',
    '{0} filter': '{0} filtro',
    '{0} hour ago': 'Hace 1 hora | Hace {0}',
    '{0} logo': 'logotipo de {0}',
    '{0} minute ago': 'Hace 1 minuto | Hace {0}',
    '{0} month ago': 'Hace 1 mes | Hace {0}',
    '{0} reviews': '0 opiniones | 1 reseña | {0} reseñas',
    '{0} second ago': 'Hace 1 segundo | Hace {0}',
    '{0} verified reviews with an average of {1} stars out of 5 by Okendo Reviews': '{0} reseñas verificadas con una media de {1} estrellas sobre 5 por Okendo Reviews',
    '{0} week ago': 'Hace 1 semana | Hace {0}',
    '{0} year ago': 'Hace 1 año | Hace {0}',
    '+ {0} more': '+ {0} más',
    'All Products': 'Todos los productos',
    'All Reviews': 'Todas las reseñas',
    'Ask a Question': 'Hacer una pregunta',
    'Based on {0} reviews': 'Basado en 0 opiniones | Basado en 1 reseña | Basado en {0} reseñas',
    'Clear': 'Borrar',
    'Click to scroll to reviews': 'Haga clic para desplazarse a las reseñas',
    'Close Dialog': 'Cerrar cuadro de diálogo',
    'Customer-uploaded image, show more details': 'Imagen cargada por el cliente, mostrar más detalles',
    'Customer-uploaded image': 'Imagen cargada por el cliente',
    'Customer-uploaded media carousel. Press left and right arrows to navigate. Press space or enter to open more details.': 'Carrusel de medios cargado por el cliente. Presione las flechas izquierda y derecha para navegar. Presiona la barra espaciadora o entrar para abrir más detalles.',
    'Customer-uploaded video, show more details': 'Vídeo cargado por el cliente, mostrar más detalles',
    'Customer-uploaded video': 'Vídeo cargado por el cliente',
    'Error Loading Filters': 'Error al cargar filtros',
    'Error Loading Review': 'Error al cargar la reseña',
    'Error occurred loading reviews, please try again': 'Se ha producido un error al cargar las reseñas. Vuelva a intentarlo.',
    'Error occurred while loading {0}': 'Se ha producido un error al cargar {0}',
    'Filters': 'Filtros',
    'Flag of {0}': 'Bandera de {0}',
    'from {0}': 'de {0}',
    'group': 'grupo',
    'Highest Rating': 'Calificación más alta',
    'I do not recommend this product': 'Yo no recomiendo este producto',
    'I had this question too': 'Yo también tenía esta pregunta',
    'I recommend this product': 'Recomiendo este producto',
    'Just now': 'En este momento',
    'Least Helpful': 'Menos útil',
    'Loading {0}': 'Cargando {0}',
    'Loading More Reviews': 'Cargando más reseñas',
    'Loading more': 'Cargando más',
    'Loading Questions...': 'Cargando preguntas...',
    'Loading Reviews': 'Cargando reseñas',
    'Loading...': 'Cargando...',
    'Lowest Rating': 'Calificación más baja',
    'Most Helpful': 'Más útil',
    'Most Recent': 'Más reciente',
    'Next Slide': 'Diapositiva siguiente',
    'Next': 'Siguiente',
    'No questions yet, ask one now?': 'Aún no hay preguntas, ¿hacer una ahora?',
    'No questions yet': 'Aún no hay preguntas',
    'No Reviews Found': 'No se encontraron reseñas',
    'No reviews yet, write one now?': 'Aún no hay reseñas, ¿escribir una ahora?',
    'No reviews yet': 'Aún no hay reseñas',
    'No, this review was not helpful': 'No, esta reseña no fue útil',
    'Oldest': 'Más antiguo',
    'out of 5 Stars': 'de 5 estrellas',
    'person voted no': 'la persona votó no | la gente votó no',
    'person voted yes': 'la persona votó sí | la gente votó sí',
    'Photos & Videos': 'Fotos y vídeos',
    'Posted on Instagram {0}': 'Publicado en Instagram {0}',
    'Powered by Okendo': 'Desarrollado por Okendo',
    'Press left and right arrows to navigate.': 'Presione las flechas izquierda y derecha para navegar.',
    'Previous Slide': 'Diapositiva anterior',
    'Previous': 'Anterior',
    'Profile picture for {0}': 'Imagen de perfil de {0}',
    'Question': 'Preguntas | Pregunta | Preguntas',
    'Questions': 'Preguntas',
    'Rated {0} on a scale of 1 to 5': 'Calificado {0} en una escala del 1 al 5',
    'Rated {0} on a scale of minus 2 to 2': 'Calificado {0} en una escala de menos 2 a 2',
    'Rating distribution': 'Distribución de calificaciones',
    'Rating filter': 'Filtro de clasificación',
    'Rating': 'Clasificación',
    'Read More': 'Leer mas',
    'Retry': 'Reintentar',
    'Review Carousel': 'Reseña carrusel',
    'Review': 'Reseñas | Reseña | Reseñas',
    'Reviewing': 'Reseñando',
    'Reviews Added': 'Reseñas agregadas',
    'Reviews Loaded': 'Reseñas cargadas',
    'Reviews': 'Reseñas',
    'Show More': 'Mostrar más',
    'Slide {0} selected': 'Diapositiva {0} seleccionada',
    'Slide {0}': 'Diapositiva {0}',
    'Sort': 'Clasificar',
    'Stars': 'Estrellas',
    'Total {0} star reviews: {1}': 'Reseñas totales de {0} estrella: {1}',
    'Try Again': 'Intentar otra vez',
    'Unexpected error occurred, please try again': 'Ha ocurrido un error inesperado. Vuelva a intentarlo.',
    'User Media and Reviews Gallery': 'Galería de medios y reseñas de usuarios',
    'Verified Buyer': 'Comprador verificado',
    'Verified Reviewer': 'Evaluador verificado',
    'Verified Reviews': 'Reseñas verificadas',
    'View {0}': 'Ver {0}',
    'Viewing Slides {0} to {1} of {2}': 'Visualización de diapositivas {0} a {1} de {2}',
    'Was this helpful?': '¿Fue útil esto?',
    'would recommend these products': 'recomendaría estos productos',
    'would recommend this product': 'recomendaría este producto',
    'Write a Review': 'Escribir una reseña',
    'Yes, this review was helpful': 'Sí, esta reseña fue útil',
    'Yesterday': 'Ayer'
};
