function formatDate(i18nContext, monthInteger) {
    return `${i18nContext.named('year') ? i18nContext.named('year') + '年 ' : ''}${monthInteger}月${i18nContext.named('day') ? ' ' + i18nContext.named('day') + '日' : ''}`;
}

export default {
    'January': (ctx) => formatDate(ctx, 1),
    'February': (ctx) => formatDate(ctx, 2),
    'March': (ctx) => formatDate(ctx, 3),
    'April': (ctx) => formatDate(ctx, 4),
    'May': (ctx) => formatDate(ctx, 5),
    'June': (ctx) => formatDate(ctx, 6),
    'July': (ctx) => formatDate(ctx, 7),
    'August': (ctx) => formatDate(ctx, 8),
    'September': (ctx) => formatDate(ctx, 9),
    'October': (ctx) => formatDate(ctx, 10),
    'November': (ctx) => formatDate(ctx, 11),
    'December': (ctx) => formatDate(ctx, 12),
    '{0} day ago': '1日前 | {0}日前',
    '{0} filter': '{0} フィルタ',
    '{0} hour ago': '1時間前 | {0}時間前',
    '{0} logo': '{0}ロゴ',
    '{0} minute ago': '1分前 | {0}分前',
    '{0} month ago': '1ヶ月前 | {0}ヶ月前',
    '{0} reviews': '0件のレビュー | 1件のレビュー | {0}レビュー',
    '{0} second ago': '1一秒前 | {0}秒前',
    '{0} verified reviews with an average of {1} stars out of 5 by Okendo Reviews': 'Okendo Reviewsより{0}件の認証済みレビュー（平均評価：星５つ中{1}つ）',
    '{0} week ago': '1週間前 | {0}週間前',
    '{0} year ago': '1年前 | {0}年前',
    '+ {0} more': '+{0}以上',
    'All Products': 'すべての製品',
    'All Reviews': 'すべてのレビュー',
    'Ask a Question': '質問する',
    'Based on {0} reviews': '{0}件のレビューに基づく',
    'Clear': '晴れ',
    'Click to scroll to reviews': 'クリックしてレビューまでスクロール',
    'Close Dialog': 'ダイアログを閉じる',
    'Customer-uploaded image, show more details': '顧客がアップロードした画像、詳細を表示',
    'Customer-uploaded image': 'お客様がアップロードした画像',
    'Customer-uploaded media carousel. Press left and right arrows to navigate. Press space or enter to open more details.': '顧客がアップロードしたメディアカルーセル。 左右の矢印を押してナビゲートします。 スペースまたはEnterキーを押して、詳細を開きます。',
    'Customer-uploaded video, show more details': '顧客がアップロードしたビデオ、詳細を表示',
    'Customer-uploaded video': '顧客がアップロードしたビデオ',
    'Error Loading Filters': 'フィルタの読み込みエラー',
    'Error Loading Review': 'レビューの読み込みエラー',
    'Error occurred loading reviews, please try again': 'レビューの読み込み中にエラーが発生しました。もう一度お試しください',
    'Error occurred while loading {0}': '{0}の読み込み中にエラーが発生しました',
    'Filters': 'フィルタ',
    'Flag of {0}': '{0}の旗',
    'from {0}': 'から{0}',
    'group': 'グループ',
    'Highest Rating': '最高の評価',
    'I do not recommend this product': 'この商品はお勧めしません',
    'I had this question too': '私もこの質問がありました',
    'I recommend this product': 'この商品をお勧めします',
    'Just now': 'ちょうど今',
    'Least Helpful': '役に立たない',
    'Loading {0}': '{0}読み込み中',
    'Loading More Reviews': '他のレビューを読み込んでいます',
    'Loading more': 'もっと読み込む',
    'Loading Questions...': '質問の誤謬...',
    'Loading Reviews': 'レビューの読み込み',
    'Loading...': '読み込み中...',
    'Lowest Rating': '最低評価',
    'Most Helpful': '最も役立つ',
    'Most Recent': '最も最近の',
    'Next Slide': '次のスライド',
    'Next': '次',
    'No questions yet, ask one now?': 'まだ質問はありません。今すぐ質問してください。',
    'No questions yet': 'まだ質問はありません',
    'No Reviews Found': 'レビューが見つかりません',
    'No reviews yet, write one now?': 'まだレビューはありません、今すぐ書いてください？',
    'No reviews yet': 'まだレビューはありません',
    'No, this review was not helpful': 'いいえ、このレビューは役に立ちませんでした',
    'Oldest': '最古',
    'out of 5 Stars': '星5つ中',
    'person voted no': '人は投票しませんでした | 人々は反対票を投じました',
    'person voted yes': '賛成票を投じた人 | 人々は賛成票を投じました',
    'Photos & Videos': '写真とビデオ',
    'Posted on Instagram {0}': 'Instagramに投稿{0}',
    'Powered by Okendo': '搭載Okendo',
    'Press left and right arrows to navigate.': '左右の矢印を押してナビゲートします。',
    'Previous Slide': '前のスライド',
    'Previous': '前',
    'Profile picture for {0}': '{0}のプロフィール写真',
    'Question': '質問 | 質問 | 質問',
    'Questions': '質問',
    'Rated {0} on a scale of 1 to 5': '1から5のスケールで{0}と評価されました',
    'Rated {0} on a scale of minus 2 to 2': 'マイナス2から2のスケールで{0}と評価されました',
    'Rating distribution': '格付け分布',
    'Rating filter': '評価フィルター',
    'Rating': '評価',
    'Read More': '続きを読む',
    'Retry': 'リトライ',
    'Review Carousel': 'カルーセルのレビュー',
    'Review': 'レビュー | レビュー | レビュー',
    'Reviewing': 'レビュー',
    'Reviews Added': 'レビューを追加',
    'Reviews Loaded': '読み込まれたレビュー',
    'Reviews': 'レビュー',
    'Show More': 'もっと見せる',
    'Slide {0} selected': 'スライド{0}を選択',
    'Slide {0}': 'スライド{0}',
    'Sort': 'ソート',
    'Stars': '出演者',
    'Total {0} star reviews: {1}': '合計{0}つ星のレビュー: {1}',
    'Try Again': '再試行する',
    'Unexpected error occurred, please try again': '予期しないエラーが発生しました。再試行してください',
    'User Media and Reviews Gallery': 'ユーザーメディアとレビューギャラリー',
    'Verified Buyer': '確認済みの購入者',
    'Verified Reviewer': '認証済みのレビュアー',
    'Verified Reviews': '認証済みレビュー',
    'View {0}': '意見{0}',
    'Viewing Slides {0} to {1} of {2}': 'スライド{0}から{1}/{2}を表示',
    'Was this helpful?': 'これは役に立ちましたか？',
    'would recommend these products': 'これらの製品をお勧めします',
    'would recommend this product': 'この製品をお勧めします',
    'Write a Review': 'レビューを書く',
    'Yes, this review was helpful': 'はい、このレビューは役に立ちました',
    'Yesterday': '昨日'
};
