function formatDate(i18nContext, monthInteger) {
    return `${i18nContext.named('year') ? i18nContext.named('year') + '년 ' : ''}${monthInteger}월${i18nContext.named('day') ? ' ' + i18nContext.named('day') + '년' : ''}`;
}

export default {
    'January': (ctx) => formatDate(ctx, 1),
    'February': (ctx) => formatDate(ctx, 2),
    'March': (ctx) => formatDate(ctx, 3),
    'April': (ctx) => formatDate(ctx, 4),
    'May': (ctx) => formatDate(ctx, 5),
    'June': (ctx) => formatDate(ctx, 6),
    'July': (ctx) => formatDate(ctx, 7),
    'August': (ctx) => formatDate(ctx, 8),
    'September': (ctx) => formatDate(ctx, 9),
    'October': (ctx) => formatDate(ctx, 10),
    'November': (ctx) => formatDate(ctx, 11),
    'December': (ctx) => formatDate(ctx, 12),
    '{0} day ago': '1일 전 | {0}일 전',
    '{0} filter': '{0} 필터',
    '{0} hour ago': '1시간 전 | {0}시간 전',
    '{0} logo': '{0} 로고',
    '{0} minute ago': '1분 전 | {0}분 전',
    '{0} month ago': '1개월 전 | {0}개월 전',
    '{0} reviews': '리뷰 0개 | 리뷰 1개 | 리뷰 {0}개',
    '{0} second ago': '1초 전 | {0}초 전',
    '{0} verified reviews with an average of {1} stars out of 5 by Okendo Reviews': '{0} Okendo 리뷰에서 별 5개 중 평균 {1}개의 검증된 리뷰',
    '{0} week ago': '1주 전 | {0}주 전',
    '{0} year ago': '1년 전 | {0}년 전',
    '+ {0} more': '+ {0}개 이상',
    'All Products': '모든 상품',
    'All Reviews': '모든 리뷰',
    'Ask a Question': '문의하기',
    'Based on {0} reviews': '리뷰 0개 기준 | 리뷰 1개 기준 | 리뷰 {0}개 기준',
    'Clear': '지우기',
    'Click to scroll to reviews': '클릭하여 리뷰로 스크롤',
    'Close Dialog': '대화 상자 닫기',
    'Customer-uploaded image, show more details': '고객이 업로드한 이미지로 세부 사항을 보여줍니다',
    'Customer-uploaded image': '고객이 업로드한 이미지',
    'Customer-uploaded media carousel. Press left and right arrows to navigate. Press space or enter to open more details.': '고객이 업로드한 미디어 슬라이더입니다. 탐색하려면 왼쪽 및 오른쪽 화살표를 누르세요. 세부 사항을 열려면 스페이스바를 누르거나 엔터키를 누르세요.',
    'Customer-uploaded video, show more details': '고객이 업로드한 동영상으로 세부 사항을 보여줍니다',
    'Customer-uploaded video': '고객이 업로드한 동영상',
    'Error Loading Filters': '필터를 불러오는 중 오류 발생',
    'Error Loading Review': '리뷰를 불러오는 중 오류 발생',
    'Error occurred loading reviews, please try again': '리뷰를 불러오는 중 오류가 발생했습니다. 다시 시도하세요',
    'Error occurred while loading {0}': '{0}을(를) 불러오는 중 오류 발생',
    'Filters': '필터',
    'Flag of {0}': '{0} 국기',
    'from {0}': '{0}에서',
    'group': '그룹',
    'Highest Rating': '최고 평가',
    'I do not recommend this product': '이 상품을 추천하지 않습니다',
    'I had this question too': '같은 문의가 있습니다',
    'I recommend this product': '이 상품을 추천합니다',
    'Just now': '방금',
    'Least Helpful': '가장 도움이 되지 않음',
    'Loading {0}': '{0} 불러오는 중',
    'Loading More Reviews': '더 많은 리뷰 불러오는 중',
    'Loading more': '더 로드 중',
    'Loading Questions...': '문의 불러오는 중...',
    'Loading Reviews': '리뷰 불러오는 중',
    'Loading...': '불러오는 중...',
    'Lowest Rating': '최저 평가',
    'Most Helpful': '가장 도움이 됨',
    'Most Recent': '가장 최근',
    'Next Slide': '다음 슬라이드',
    'Next': '다음',
    'No questions yet, ask one now?': '아직 문의가 없습니다. 지금 문의하시겠습니까?',
    'No questions yet': '아직 문의가 없습니다',
    'No Reviews Found': '리뷰를 찾을 수 없습니다',
    'No reviews yet, write one now?': '아직 리뷰가 없습니다. 지금 작성하시겠습니까?',
    'No reviews yet': '아직 리뷰가 없습니다',
    'No, this review was not helpful': '아니요, 이 리뷰가 도움이 되지 않았습니다.',
    'Oldest': '가장 오래됨',
    'out of 5 Stars': '별 5개 중',
    'person voted no': '아니요로 투표한 사람 | 아니요로 투표한 사람',
    'person voted yes': '예로 투표한 사람 | 예로 투표한 사람',
    'Photos & Videos': '사진 및 동영상',
    'Posted on Instagram {0}': 'Instagram {0}에 게시됨',
    'Powered by Okendo': 'Okendo 제공',
    'Press left and right arrows to navigate.': '탐색하려면 왼쪽 및 오른쪽 화살표를 누르세요.',
    'Previous Slide': '이전 슬라이드',
    'Previous': '이전',
    'Profile picture for {0}': '{0} 프로필 사진',
    'Question': '문의 | 문의 | 문의',
    'Questions': '문의',
    'Rated {0} on a scale of 1 to 5': '1~5 기준 {0}(으)로 평가됨',
    'Rated {0} on a scale of minus 2 to 2': '-2~2 기준 {0}(으)로 평가됨',
    'Rating distribution': '평가 분포',
    'Rating filter': '평가 필터',
    'Rating': '평가',
    'Read More': '더 읽기',
    'Retry': '재시도',
    'Review Carousel': '리뷰 슬라이더',
    'Review': '리뷰 | 리뷰 | 리뷰',
    'Reviewing': '리뷰 중',
    'Reviews Added': '리뷰가 추가됨',
    'Reviews Loaded': '리뷰를 불러왔습니다',
    'Reviews': '리뷰',
    'Show More': '더 보기',
    'Slide {0} selected': '슬라이드 {0}이(가) 선택됨',
    'Slide {0}': '슬라이드 {0}',
    'Sort': '정렬',
    'Stars': '별점',
    'Total {0} star reviews: {1}': '총 {0}개의 별 리뷰: {1}',
    'Try Again': '다시 시도',
    'Unexpected error occurred, please try again': '예상치 못한 오류가 발생했습니다. 다시 시도해 주세요',
    'User Media and Reviews Gallery': '사용자 미디어 및 리뷰 갤러리',
    'Verified Buyer': '검증된 구매자',
    'Verified Reviewer': '검증된 리뷰어',
    'Verified Reviews': '검증된 리뷰',
    'View {0}': '{0} 보기',
    'Viewing Slides {0} to {1} of {2}': '{2}의 {0}에서 {1}까지 슬라이드 보기',
    'Was this helpful?': '도움이 되었나요?',
    'would recommend these products': '이 상품들을 추천해 주시겠습니까',
    'would recommend this product': '이 상품을 추천하겠습니다',
    'Write a Review': '리뷰 작성',
    'Yes, this review was helpful': '예, 이 리뷰가 도움이 되었습니다.',
    'Yesterday': '어제'
};
