function formatDate(i18nContext, month) {
    return `${i18nContext.named('day') ? i18nContext.named('day') + '. ' : ''}${month}${i18nContext.named('year') ? ' ' + i18nContext.named('year') : ''}`;
}

export default {
    'January': (ctx) => formatDate(ctx, 'januar'),
    'February': (ctx) => formatDate(ctx, 'februar'),
    'March': (ctx) => formatDate(ctx, 'mars'),
    'April': (ctx) => formatDate(ctx, 'april'),
    'May': (ctx) => formatDate(ctx, 'mai'),
    'June': (ctx) => formatDate(ctx, 'juni'),
    'July': (ctx) => formatDate(ctx, 'juli'),
    'August': (ctx) => formatDate(ctx, 'august'),
    'September': (ctx) => formatDate(ctx, 'september'),
    'October': (ctx) => formatDate(ctx, 'oktober'),
    'November': (ctx) => formatDate(ctx, 'november'),
    'December': (ctx) => formatDate(ctx, 'desember'),
    '{0} day ago': 'En dag siden | {0} dager siden',
    '{0} filter': '{0} filter',
    '{0} hour ago': 'En time siden | {0} timer siden',
    '{0} logo': '{0} logo',
    '{0} minute ago': 'Et minutt siden | {0} minutter siden',
    '{0} month ago': 'En måned siden | {0} måneder siden',
    '{0} reviews': '0 anmeldelser | en anmeldelse | {0} anmeldelser',
    '{0} second ago': 'Et sekund siden | {0} sekunder siden',
    '{0} verified reviews with an average of {1} stars out of 5 by Okendo Reviews': '{0} verifiserte anmeldelser med et gjennomsnitt på {1} av 5 stjerner av Okendo Reviews',
    '{0} week ago': 'En uke siden | {0} uker siden',
    '{0} year ago': 'Et år siden | {0} år siden',
    '+ {0} more': '+ {0} mer',
    'All Products': 'Alle produkter',
    'All Reviews': 'Alle anmeldelser',
    'Ask a Question': 'Still et spørsmål',
    'Based on {0} reviews': 'Basert på 0 anmeldelser | Basert på én anmeldelse | Basert på {0} anmeldelser',
    'Clear': 'Tøm',
    'Click to scroll to reviews': 'Klikk for å bla til anmeldelsene',
    'Close Dialog': 'Lukk vindu',
    'Customer-uploaded image, show more details': 'Bilde lastet opp av kunden, vis flere detaljer',
    'Customer-uploaded image': 'Bilde lastet opp av kunden',
    'Customer-uploaded media carousel. Press left and right arrows to navigate. Press space or enter to open more details.': 'Mediekarusell lastet opp av kunden. Trykk på venstre og høyre piltast for å navigere. Trykk på mellomrom eller enter for å vise flere detaljer.',
    'Customer-uploaded video, show more details': 'Video lastet opp av kunden, vis flere detaljer',
    'Customer-uploaded video': 'Video lastet opp av kunden',
    'Error Loading Filters': 'Feil ved lasting av filter',
    'Error Loading Review': 'Feil ved lasting av anmeldelse',
    'Error occurred loading reviews, please try again': 'Det oppsto en feil ved lasting av anmeldelsene. Vennligst prøv på nytt',
    'Error occurred while loading {0}': 'Det oppsto en feil under lasting av {0}',
    'Filters': 'Filtre',
    'Flag of {0}': '{0}s flagg',
    'from {0}': 'fra {0}',
    'group': 'gruppe',
    'Highest Rating': 'Høyeste vurdering',
    'I do not recommend this product': 'Jeg anbefaler ikke dette produktet',
    'I had this question too': 'Jeg hadde også dette spørsmålet',
    'I recommend this product': 'Jeg anbefaler dette produktet',
    'Just now': 'Akkurat nå',
    'Least Helpful': 'Til minst hjelp',
    'Loading {0}': 'Laster {0}',
    'Loading More Reviews': 'Laster flere anmeldelser',
    'Loading more': 'Laster mer',
    'Loading Questions...': 'Laster spørsmål...',
    'Loading Reviews': 'Laster anmeldelser',
    'Loading...': 'Laster...',
    'Lowest Rating': 'Laveste vurdering',
    'Most Helpful': 'Til mest hjelp',
    'Most Recent': 'Siste',
    'Next Slide': 'Neste bilde',
    'Next': 'Neste',
    'No questions yet, ask one now?': 'Ingen spørsmål enda, still et nå?',
    'No questions yet': 'Ingen spørsmål enda',
    'No Reviews Found': 'Ingen anmeldelser funnet',
    'No reviews yet, write one now?': 'Ingen anmeldelser enda, skriv en nå?',
    'No reviews yet': 'Ingen anmeldelser enda',
    'No, this review was not helpful': 'Nei, denne anmeldelsen var ikke til hjelp',
    'Oldest': 'Eldste',
    'out of 5 Stars': 'av 5 stjerner',
    'person voted no': 'person stemte nei | personer stemte nei',
    'person voted yes': 'person stemte ja | personer stemte ja',
    'Photos & Videos': 'Bilder og videoer',
    'Posted on Instagram {0}': 'Lagt ut på Instagram {0}',
    'Powered by Okendo': 'Drevet av Okendo',
    'Press left and right arrows to navigate.': 'Trykk på venstre og høyre piltast for å navigere.',
    'Previous Slide': 'Forrige lysbilde',
    'Previous': 'Forrige',
    'Profile picture for {0}': 'Profilbilde for {0}',
    'Question': 'Spørsmål | Spørsmål | Spørsmål',
    'Questions': 'Spørsmål',
    'Rated {0} on a scale of 1 to 5': 'Vurdert til {0} på en skala fra 1 til 5',
    'Rated {0} on a scale of minus 2 to 2': 'Vurdert til {0} på en skala fra minus 2 til 2',
    'Rating distribution': 'Vurderingsfordeling',
    'Rating filter': 'Vurderingsfilter',
    'Rating': 'Vurdering',
    'Read More': 'Les mer',
    'Retry': 'Prøv igjen',
    'Review Carousel': 'Anmeldelseskarusell',
    'Review': 'Anmeldelser | Anmeldelse | Anmeldelser',
    'Reviewing': 'Anmeldelsen gjelder:',
    'Reviews Added': 'Anmeldelser lagt til',
    'Reviews Loaded': 'Anmeldelser lastet',
    'Reviews': 'Anmeldelser',
    'Show More': 'Vis flere',
    'Slide {0} selected': 'Lysbilde nummer {0} valgt',
    'Slide {0}': 'Lysbilde nummer {0}',
    'Sort': 'Sortering',
    'Stars': 'Stjerner',
    'Total {0} star reviews: {1}': 'Totalt {0} stjerneanmeldelser: {1}',
    'Try Again': 'Prøv igjen',
    'Unexpected error occurred, please try again': 'Det oppstod en uventet feil, prøv igjen',
    'User Media and Reviews Gallery': 'Galleri for brukermedier og anmeldelser',
    'Verified Buyer': 'Verifisert kjøper',
    'Verified Reviewer': 'Verificeret anmelder',
    'Verified Reviews': 'Verifiserte anmeldelser',
    'View {0}': 'Se {0}',
    'Viewing Slides {0} to {1} of {2}': 'Visning av lysbilder nummer {0} til {1} av totalt {2}',
    'Was this helpful?': 'Var dette til hjelp?',
    'would recommend these products': 'ville anbefalt disse produktene',
    'would recommend this product': 'anbefaler dette produktet',
    'Write a Review': 'Skriv en anmeldelse',
    'Yes, this review was helpful': 'Ja, denne anmeldelsen var nyttig',
    'Yesterday': 'I går'
};
