function formatDate(i18nContext, month) {
    const dayExists = i18nContext.named('day');
    return `${dayExists ? i18nContext.named('day') + ' de ' : ''}${month}${i18nContext.named('year') ? (!dayExists ? ' ' : '') + 'de ' + i18nContext.named('year') : ''}`;
}

export default {
    'January': (ctx) => formatDate(ctx, 'janeiro'),
    'February': (ctx) => formatDate(ctx, 'fevereiro'),
    'March': (ctx) => formatDate(ctx, 'março'),
    'April': (ctx) => formatDate(ctx, 'abril'),
    'May': (ctx) => formatDate(ctx, 'maio'),
    'June': (ctx) => formatDate(ctx, 'junho'),
    'July': (ctx) => formatDate(ctx, 'julho'),
    'August': (ctx) => formatDate(ctx, 'agosto'),
    'September': (ctx) => formatDate(ctx, 'setembro'),
    'October': (ctx) => formatDate(ctx, 'outubro'),
    'November': (ctx) => formatDate(ctx, 'novembro'),
    'December': (ctx) => formatDate(ctx, 'dezembro'),
    '{0} day ago': '1 dia atrás | {0} dias atrás',
    '{0} filter': 'Filtro de {0}',
    '{0} hour ago': '1 hora atrás | {0} horas atrás',
    '{0} logo': 'Logótipo da {0}',
    '{0} minute ago': '1 minuto atrás | {0} minutos atrás',
    '{0} month ago': '1 mês atrás | {0} meses antes',
    '{0} reviews': '0 avaliações | 1 avaliação | {0} avaliações',
    '{0} second ago': '1 segundo atrás | {0} segundos atrás',
    '{0} verified reviews with an average of {1} stars out of 5 by Okendo Reviews': '{0} avaliações verificadas com uma média de {1} estrelas em 5, por Okendo Reviews',
    '{0} week ago': '1 semana atrás | {0} semanas atrás',
    '{0} year ago': '1 ano atrás | {0} anos atrás',
    '+ {0} more': 'Ver mais {0}',
    'All Products': 'Todos os produtos',
    'All Reviews': 'Todas as avaliações',
    'Ask a Question': 'Faça uma pergunta',
    'Based on {0} reviews': 'Com base em 0 avaliações | Com base em 1 avaliação | Com base em {0} avaliações',
    'Clear': 'Limpar',
    'Click to scroll to reviews': 'Clique para ir para as avaliações',
    'Close Dialog': 'Fechar a Caixa de Diálogo',
    'Customer-uploaded image, show more details': 'Imagem carregada pelo cliente, mostrar mais detalhes',
    'Customer-uploaded image': 'Imagem carregada pelo cliente',
    'Customer-uploaded media carousel. Press left and right arrows to navigate. Press space or enter to open more details.': 'Carrossel de conteúdo multimédia carregado pelo cliente. Para navegar, prima as setas para a esquerda e para a direita. Para ver mais detalhes, prima a barra de espaços ou a tecla Enter.',
    'Customer-uploaded video, show more details': 'Vídeo carregado pelo cliente, mostrar mais detalhes',
    'Customer-uploaded video': 'Vídeo carregado pelo cliente',
    'Error Loading Filters': 'Erro ao carregar os filtros',
    'Error Loading Review': 'Erro ao carregar a avaliação',
    'Error occurred loading reviews, please try again': 'Ocorreu um erro ao carregar as avaliações. Por favor, tente de novo.',
    'Error occurred while loading {0}': 'Ocorreu um erro ao carregar {0}',
    'Filters': 'Filtros',
    'Flag of {0}': 'Bandeira de {0}',
    'from {0}': 'a partir de {0}',
    'group': 'agrupar',
    'Highest Rating': 'Classificação mais alta',
    'I do not recommend this product': 'Não recomendo este produto',
    'I had this question too': 'Também tinha esta dúvida',
    'I recommend this product': 'Recomendo este produto',
    'Just now': 'Agora mesmo',
    'Least Helpful': 'Menos útil',
    'Loading {0}': 'A carregar {0}',
    'Loading More Reviews': 'A carregar mais avaliações',
    'Loading more': 'A carregar mais',
    'Loading Questions...': 'A carregar as perguntas...',
    'Loading Reviews': 'A carregar as avaliações',
    'Loading...': 'A carregar...',
    'Lowest Rating': 'Classificação mais baixa',
    'Most Helpful': 'Mais útil',
    'Most Recent': 'Mais recente',
    'Next Slide': 'Próximo diapositivo',
    'Next': 'Próximo',
    'No questions yet, ask one now?': 'Ainda não existem perguntas. Quer fazer uma agora?',
    'No questions yet': 'Ainda não existem perguntas',
    'No Reviews Found': 'Não foi encontrada nenhuma avaliação',
    'No reviews yet, write one now?': 'Ainda não existem avaliações. Quer fazer uma agora?',
    'No reviews yet': 'Ainda não existem avaliações',
    'No, this review was not helpful': 'Não, esta avaliação não foi útil',
    'Oldest': 'Mais antiga',
    'out of 5 Stars': 'em 5 estrelas',
    'person voted no': 'pessoa votou não | pessoas votaram não',
    'person voted yes': 'pessoa votou sim | pessoas votaram sim',
    'Photos & Videos': 'Fotos e vídeos',
    'Posted on Instagram {0}': 'Postado no Instagram {0}',
    'Powered by Okendo': 'Com tecnologia da Okendo',
    'Press left and right arrows to navigate.': 'Para navegar, prima as setas para a esquerda e para a direita.',
    'Previous Slide': 'Diapositivo anterior',
    'Previous': 'Anterior',
    'Profile picture for {0}': 'Foto do perfil para {0}',
    'Question': 'Perguntas | Pergunta | Perguntas',
    'Questions': 'Perguntas',
    'Rated {0} on a scale of 1 to 5': 'Classificado com {0} numa escala de 1 a 5',
    'Rated {0} on a scale of minus 2 to 2': 'Classificado com {0} numa escala de -2 a 2',
    'Rating distribution': 'Distribuição da classificação',
    'Rating filter': 'Filtro de classificação',
    'Rating': 'Classificação',
    'Read More': 'Ler mais',
    'Retry': 'Tentar de novo',
    'Review Carousel': 'Carrossel de avaliações',
    'Review': 'Avaliações | Avaliação | Avaliações',
    'Reviewing': 'A avaliar',
    'Reviews Added': 'Avaliações adicionadas',
    'Reviews Loaded': 'Avaliações carregadas',
    'Reviews': 'Avaliações',
    'Show More': 'Mostrar mais',
    'Slide {0} selected': 'Diapositivo {0} selecionado',
    'Slide {0}': 'Diapositivo {0}',
    'Sort': 'Ordenar',
    'Stars': 'Estrelas',
    'Total {0} star reviews: {1}': 'Total de comentários de {0} estrela: {1}',
    'Try Again': 'Voltar a tentar',
    'Unexpected error occurred, please try again': 'Ocorreu um erro inesperado. Por favor, tente de novo.',
    'User Media and Reviews Gallery': 'Galeria de avaliações e conteúdos multimédia dos utilizadores',
    'Verified Buyer': 'Comprador verificado',
    'Verified Reviewer': 'Avaliador verificado',
    'Verified Reviews': 'Avaliações verificadas',
    'View {0}': 'Ver {0}',
    'Viewing Slides {0} to {1} of {2}': 'A visualizar diapositivos {0} a {1} de {2}',
    'Was this helpful?': 'Isto foi útil?',
    'would recommend these products': 'recomendaria estes produtos',
    'would recommend this product': 'recomendaria este produto',
    'Write a Review': 'Fazer uma avaliação',
    'Yes, this review was helpful': 'Sim, esta avaliação foi útil',
    'Yesterday': 'Ontem'
};
