import type { DeepPartial, ReviewWithProductPublic, StyleSettings, WidgetPlus } from '@okendo/reviews-common';
import type { Hooper, Slide } from '@okendo/hooper-carousel';
import { HooperOptions } from '@okendo/hooper-carousel';
import '@okendo/hooper-carousel/dist/hooper.css';
import { WidgetSize } from '@/utils/OkendoUtils';
import type { WidgetMode } from '@/OkendoWidget/OkendoWidget';
import WidgetBase from '@/mixins/WidgetBase';
import type { HomepageCarouselCardSettings, ReviewCardComponent } from '@/mixins/ReviewCardBase';
import type { ReviewsWidgetPlus } from '@/types/ReviewsWidgetPlus';
import type { MediaReviewViewModel } from '@/types/MediaReviewViewModel';
interface WidgetBaseMixinInterface extends Vue, WidgetBase {
}
declare const OkendoReviewCarousel_base: import("vue-class-component/lib/declarations").VueClass<WidgetBaseMixinInterface>;
export default class OkendoReviewCarousel extends OkendoReviewCarousel_base {
    productId?: string;
    groupId?: string;
    widgetMode: WidgetMode;
    initialData?: WidgetPlus.HomepageCarousel.Context;
    carouselDataAttributeSettings: DeepPartial<ReviewsWidgetPlus.DataAttributeSettings.HomepageCarousel>;
    reviews: ReviewWithProductPublic[];
    slidesPerPage: number;
    currentPage: number;
    carouselOptions: HooperOptions;
    created(): Promise<void>;
    mounted(): void;
    readonly $refs: {
        okeReviewsCarousel: Hooper;
        reviewCards: Vue[];
    };
    onPropertyChanged(newSize: WidgetSize): void;
    onWidgetWidthChange(): void;
    get isAutoPlayEnabled(): boolean;
    get initialAggregateData(): WidgetPlus.ProductRatingAggregate | undefined;
    get reviewsSettings(): StyleSettings.WidgetPlus.HomepageCarousel;
    get scrollBehaviour(): number;
    get arrowSettings(): StyleSettings.WidgetPlus.Carousel.Arrows;
    get individualReviewSettings(): HomepageCarouselCardSettings;
    get translatedInstructions(): string;
    get homepageCarouselComponent(): ReviewCardComponent;
    get badgeDataAttributeSettings(): StyleSettings.WidgetPlus.ReviewsBadge;
    getCarouselByRef(): Hooper | undefined;
    onSliderSlide(event: Slide): void;
    onReviewCardMediaClick(initialIndex: number, initialMedia: MediaReviewViewModel[]): void;
    nextSlide(): void;
    prevSlide(): void;
    getTabIndexForSlide(index: number): number;
    private loadReviews;
    private insertOrUpdateCSSVariables;
    private setSlidesPerPage;
}
export {};
