import type { WidgetPlus, StyleSettings, SKO } from '@okendo/reviews-common';
import { WidgetSize } from '@/utils/OkendoUtils';
import WidgetBase from '@/mixins/WidgetBase';
import MediaWidgetBase from '@/mixins/MediaWidgetBase';
import { MediaReviewViewModel } from '@/types/MediaReviewViewModel';
declare const OkendoMediaGrid_base: import("vue-class-component/lib/declarations").VueClass<WidgetBase & MediaWidgetBase>;
export default class OkendoMediaGrid extends OkendoMediaGrid_base {
    initialData?: WidgetPlus.MediaGrid.Context;
    limit: number;
    private currentLayoutParams;
    private numberVisible;
    extraItemsIndexStart: number;
    showRemainingItemsAsSingle: boolean;
    amountToHide: number;
    reviewsToShow: MediaReviewViewModel[];
    containerSize: number;
    private layoutLength;
    gridStyleParams: {
        [layout: string]: LayoutParams;
    };
    $refs: {
        mediaGridContainer: HTMLDivElement;
    };
    created(): void;
    mounted(): void;
    onPropertyChanged(newSize: WidgetSize, oldSize: WidgetSize): void;
    onPropertyWidthChanged(newSize: number, oldSize: number): void;
    onPropertyReviewsChanged(newReviews: MediaReviewViewModel[], currentReviews: MediaReviewViewModel[]): void;
    get mediaGridSettings(): StyleSettings.WidgetPlus.MediaGrid;
    get gapSize(): number;
    refreshContainerSizeFromClient(): void;
    get renderedColumns(): number;
    get customGridStyle(): SKO | undefined;
    get gridLayout(): string;
    get lastRowClass(): string;
    showArrow(): boolean;
    destroyed(): void;
    setLoadLimit(): void;
    resetLayout(): void;
    onScroll(): void;
    clickShowMore(): void;
    amountToAdd(): number;
    onMediaClick(index: number): void;
    private loadReviews;
    getGridItemMediaImageSize(index: number): number;
    getGridItemSize(): number;
    gridItemWidth(index: number): number;
}
interface LayoutParams {
    initialLimit: number;
    loadMoreLimit: number;
    loadMoreLimitAlt?: number;
    columns: number;
}
export {};
