import { Vue } from 'vue-property-decorator';
import type { QuestionWithAnswersPublic, StyleSettings, WidgetPlus } from '@okendo/reviews-common';
import { SortOption } from '@/utils/OkendoApi';
import type { ViewState } from '@/types/ViewState';
export default class Questions extends Vue {
    initialData?: WidgetPlus.QuestionsWidget.Context;
    groupId: string;
    productId: string;
    askQuestionProductId: string;
    size: string;
    showStateTopBorderOnEmpty: boolean;
    isLoadingMore: boolean;
    nextUrl: string | undefined;
    questions: QuestionWithAnswersPublic[];
    selectedSortOption: SortOption;
    viewState: ViewState;
    created(): void;
    get questionsSettings(): StyleSettings.WidgetPlus.Questions;
    loadQuestions(limit: number, sort: SortOption): Promise<void>;
    showMoreQuestions(): Promise<void>;
    onSortChange(newSort: SortOption): void;
}
