import { Vue } from 'vue-property-decorator';
import type { DeepPartial, StyleSettings, WidgetPlus } from '@okendo/reviews-common';
export default class OkendoReviewsBadge extends Vue {
    widgetId?: string;
    productId: string;
    groupId: string;
    initialData?: WidgetPlus.Badge.Context;
    badgeDataAttributeSettings: DeepPartial<StyleSettings.WidgetPlus.ReviewsBadge>;
    averageRating: string;
    reviewCount: number;
    created(): void;
    get badgeSettings(): StyleSettings.WidgetPlus.ReviewsBadge;
    get badgeLayout(): StyleSettings.WidgetPlus.ReviewsBadge.Layout;
    get url(): string | undefined;
    get okendoBrandingEnabled(): boolean;
    get starForegroundColor(): string;
    get starBackgroundColor(): string;
    get starBorderColor(): string;
    get starBorderWidth(): number;
    get badgeComponent(): string;
    private get stars();
    private loadAggregateData;
}
