import { Vue } from 'vue-property-decorator';
import type { WidgetPlus, StyleSettings, DeepPartial } from '@okendo/reviews-common';
import type { WidgetMode } from '@/OkendoWidget/OkendoWidget';
import { ReviewsWidgetPlus } from '@/types/ReviewsWidgetPlus';
export default class OkendoStarRating extends Vue {
    groupId?: string;
    productId?: string;
    starRatingDataAttributeSettings: DeepPartial<ReviewsWidgetPlus.DataAttributeSettings.StarRating>;
    initialData: WidgetPlus.StarRating.Context;
    widgetId: string;
    widgetMode: WidgetMode;
    version: string;
    averageRating: string;
    isClickable: boolean;
    reviewCount: number;
    created(): void;
    private sendWidgetRenderedEvent;
    mounted(): Promise<void>;
    get starRatingSettings(): StyleSettings.WidgetPlus.StarRatings;
    get textStyle(): StyleSettings.WidgetPlus.StarRatings.Style.Text;
    get starHeight(): number;
    get starInterspace(): number | undefined;
    get prettyNumber(): string | undefined;
    get reviewTotal(): string | undefined;
    get showReviewCountBrackets(): boolean;
    get labelText(): string | undefined;
    get showWhenEmpty(): boolean;
    get metafieldJsonData(): string;
    loadAggregateData(): Promise<void>;
    private loadReviewAggregate;
    onClick(): void;
}
