import type { ReviewWithProductPublic, StyleSettings, WidgetPlus, ProductAttribute, Subscriber, ProductReviewMedia } from '@okendo/reviews-common';
import type { WidgetMode } from '@/OkendoWidget/OkendoWidget';
import type { ViewState } from '@/types/ViewState';
import WidgetBase from '@/mixins/WidgetBase';
import { ReviewAggregateViewModel } from '@/types/ReviewAggregateGetResponse';
declare const OkendoWidget_base: import("vue-class-component/lib/declarations").VueClass<WidgetBase>;
export default class OkendoWidget extends OkendoWidget_base {
    groupId?: string;
    productId?: string;
    writeReviewProductId?: string;
    askQuestionProductId?: string;
    locale?: Subscriber.LocaleCode;
    initialData: WidgetPlus.ReviewsWidget.Context | undefined;
    disableSearchEnginePagination: boolean;
    reviews: ReviewWithProductPublic[];
    reviewsNextUrl: string | null;
    reviewAggregate: ReviewAggregateViewModel | undefined;
    media: ProductReviewMedia[];
    mediaNextUrl: string | null;
    reviewCount: number;
    questionCount: number;
    productAttributes: ProductAttribute[];
    widgetMode: WidgetMode;
    widgetSearchEngineNextUrl: string | undefined;
    widgetSearchEngineInitialPageNumber: number;
    activeTab: keyof StyleSettings.WidgetPlus.ReviewsWidget['tabs'];
    tabs: (keyof StyleSettings.WidgetPlus.ReviewsWidget['tabs'])[];
    questionsState: 'unopened' | 'loading' | 'loaded';
    viewState: ViewState;
    created(): void;
    mounted(): void;
    sendWidgetRenderedEvent(): void;
    get showOkendoWidget(): boolean;
    get okendoBrandingEnabled(): boolean;
    get reviewsWidgetSettings(): StyleSettings.WidgetPlus.ReviewsWidget;
    get showWhenEmpty(): boolean;
    get questionsEnabled(): boolean;
    get metafieldJsonData(): string | undefined;
    get allowSearchEnginePagination(): boolean;
    onTabChange(newTab: keyof StyleSettings.WidgetPlus.ReviewsWidget['tabs']): void;
    onQuestionsLoaded(): void;
    loadWidgetData(): Promise<void>;
    private getCrawlablePaginationInfo;
    private loadQuestionAggregate;
    private loadReviewAggregate;
    private loadReviews;
    private loadMediaAggregate;
    private setSharedProductName;
    private headerImagesToLoad;
}
export {};
