import { Vue } from 'vue-property-decorator';
import type { ReviewWithProductPublic, ProductAttribute, StyleSettings } from '@okendo/reviews-common';
import { SortOption } from '@/utils/OkendoApi';
import { WidgetSize } from '@/utils/OkendoUtils';
import type { ViewState } from '@/types/ViewState';
import type { WidgetMode } from '@/OkendoWidget/OkendoWidget';
import type { ReviewListSettings } from '@/mixins/ReviewListBase';
import type { WidgetCardSettings } from '@/mixins/ReviewCardBase';
export default class Reviews extends Vue {
    productId?: string;
    groupId?: string;
    writeReviewProductId?: string;
    widgetSize: WidgetSize;
    widgetWidth: number;
    initialReviews: ReviewWithProductPublic[];
    initialNextUrl: string | undefined;
    initialReviewCount: number;
    initialPageNumber: number;
    widgetId: string;
    widgetMode: WidgetMode;
    productAttributes?: ProductAttribute[];
    allowSearchEnginePagination: boolean;
    hasInitialSearchEnginePaginationUrl: boolean;
    reviews: ReviewWithProductPublic[];
    nextUrl: string | null;
    reviewCount: number;
    prettyReviewCount: string;
    selectedSortOption: SortOption;
    activeFilters: ProductAttribute[];
    areFiltersOpen: boolean;
    filtersState: 'unopened' | 'loading' | 'loaded';
    filtersStartOpen: boolean;
    activeRatingFilters: number[];
    freeTextSearchFilter?: string;
    viewState: ViewState;
    pageNumber: number;
    showResetWidget: boolean;
    searchEnginePaginationActive: boolean;
    get isLoadingMore(): boolean;
    get isLoadingReviews(): boolean;
    get showReviewsList(): boolean;
    get showMainWrapperBorder(): boolean;
    created(): void;
    mounted(): void;
    get reviewsSettings(): StyleSettings.WidgetPlus.ReviewsWidget.Reviews;
    get writeReviewButtonEnabled(): boolean;
    get filtersEnabled(): boolean;
    get filterMode(): StyleSettings.WidgetPlus.ReviewsWidget.Reviews.Controls['filterMode'];
    get freeTextSearchEnabled(): StyleSettings.WidgetPlus.ReviewsWidget.Reviews.Controls['freeTextSearchEnabled'];
    get reviewListComponent(): ReviewListComponent;
    get individualReviewSettings(): ReviewListSettings | WidgetCardSettings;
    get mediaLayout(): StyleSettings.WidgetPlus.ReviewsWidget.Reviews.List['media']['layout'];
    resetReviews(): void;
    reloadReviews(): void;
    onFiltersChange(newFilters: ProductAttribute[]): void;
    onFiltersRatingChange(newRatingFilters: number[]): void;
    onFreeTextSearchChange(searchQuery?: string): void;
    showMoreReviews(): void;
    onFiltersToggle(): void;
    onFiltersLoad(): void;
    onFiltersReload(): void;
    private updateReviewCount;
    private loadReviews;
    private addReviewsFromPromise;
}
declare type ReviewListComponent = 'ReviewsListCarousel' | 'ReviewsList' | 'ReviewsListMasonry';
export {};
