import { Vue } from 'vue-property-decorator';
import type { ProductAttribute } from '@okendo/reviews-common';
import type { ViewState } from '@/types/ViewState';
export default class Filters extends Vue {
    productId: string;
    isOpen: boolean;
    filtersStartOpen: boolean;
    freeTextSearchEnabled: boolean;
    productAttributes?: ProductAttribute[] | undefined;
    widgetId: string;
    filters: FilterView[];
    viewState: ViewState;
    filterContentHeight: string | number;
    ratingsFilters: RatingFilterOptionView[];
    created(): void;
    onPropertyChanged(isOpen: boolean): void;
    get attributeFiltersEnabled(): boolean;
    isFilterActive(filter: FilterView): boolean;
    onFilterChange(): void;
    onFreeTextSearchChange(searchQuery?: string): void;
    onFilterClear(filter: FilterView): void;
    onFilterReload(): void;
    isRatingsFilterActive(): RatingFilterOptionView | undefined;
    onRatingsFilterClear(): void;
    onRatingsFilterChange(): void;
    filterByRatings(ratingsToFilter: number[] | []): void;
    private updateFilterContentHeight;
    private loadFilters;
    private buildFiltersFromAttributes;
}
interface FilterView {
    title: string;
    target: 'shopper' | 'general';
    options: FilterOptionView[];
}
interface FilterOptionView {
    name: string;
    isSelected: boolean;
}
interface RatingFilterOptionView {
    rating: number;
    isSelected: boolean;
}
export {};
