import { Vue } from 'vue-property-decorator';
import type { SKO, WidgetPlus, StyleSettings, UnitMeasure } from '@okendo/reviews-common';
import type { MediaReviewViewModel } from '@/types/MediaReviewViewModel';
export default class ReviewBasicContent extends Vue {
    review: WidgetPlus.ReviewsWidget.Review | MediaReviewViewModel;
    showDates: boolean;
    hideStars: boolean;
    showPostedOnIg: boolean;
    isReviewTruncated: boolean;
    isMetafieldTruncated: boolean;
    isLoading: boolean;
    truncationSettings: StyleSettings.WidgetPlus.ReviewBase.Truncation;
    alignment: boolean;
    starHeight: UnitMeasure;
    starInterspace: number;
    reviewBodyNeedsTruncation: boolean;
    initialLoad: boolean;
    private truncatedHeight?;
    mounted(): void;
    get bodyWithParagraphs(): string | undefined;
    get isTruncated(): boolean;
    get starHeightPx(): number | undefined;
    get truncationLineClamp(): SKO | undefined;
    get reviewDateCreated(): string | undefined;
    onReadMoreClick(): void;
    private getTruncatedHeight;
}
