import { Vue } from 'vue-property-decorator';
import type { ReviewWithProductPublic, StyleSettings } from '@okendo/reviews-common';
import { Hooper, HooperOptions, Slide } from '@okendo/hooper-carousel';
import '@okendo/hooper-carousel/dist/hooper.css';
import { WidgetSize } from '@/utils/OkendoUtils';
import type { WidgetMode } from '@/OkendoWidget/OkendoWidget';
import type { WidgetCardSettings, ReviewCardComponent } from '@/mixins/ReviewCardBase';
import { MediaReviewViewModel } from '@/types/MediaReviewViewModel';
export default class ReviewsListCarousel extends Vue {
    reviews: ReviewWithProductPublic[];
    reviewSettings: WidgetCardSettings;
    isLoadingMore: boolean;
    widgetMode: WidgetMode;
    widgetSize: WidgetSize;
    canLoadMore: boolean;
    currentPage: number;
    slidesPerPage: number;
    readReviewIds: Array<string>;
    carouselOptions: HooperOptions;
    readonly $refs: {
        okeReviewsListCarousel: Hooper;
        reviewCards?: Vue[];
    };
    mounted(): void;
    sizeChanged(newSize: WidgetSize): void;
    get arrowSettings(): StyleSettings.WidgetPlus.Carousel.Arrows;
    get scrollBehaviour(): number;
    get mediaLayout(): StyleSettings.WidgetPlus.ReviewsWidget.Reviews.MediaLayout;
    get carouselLayoutSettings(): StyleSettings.WidgetPlus.ReviewsWidget.Reviews.ReviewLayout.Carousel;
    get isCloseToSliderEnd(): boolean;
    get translatedInstructions(): string;
    get reviewCardComponent(): ReviewCardComponent;
    onSliderSlide(event: Slide): void;
    onReviewCardMediaClick(initialIndex: number, initialMedia: MediaReviewViewModel[]): void;
    private setTabIndices;
    private getItemsToSlide;
    private getSlidesPerPage;
    nextSlide(): void;
    prevSlide(): void;
    isSlideVisible(index: number): boolean;
    updateReadReviewId(reviewId: string): void;
}
