import { Vue } from 'vue-property-decorator';
import type { ReviewWithProductPublic } from '@okendo/reviews-common';
import type { WidgetMode } from '@/OkendoWidget/OkendoWidget';
import type { CardUpdatedEvent, ReviewCardComponent, WidgetCardSettings } from '@/mixins/ReviewCardBase';
import { WidgetSize } from '@/utils/OkendoUtils';
import type { MediaReviewViewModel } from '@/types/MediaReviewViewModel';
export default class ReviewsListMasonry extends Vue {
    reviews: ReviewWithProductPublic[];
    reviewSettings: WidgetCardSettings;
    widgetMode: WidgetMode;
    index: number;
    widgetSize: WidgetSize;
    widgetWidth: number;
    readonly $refs: {
        reviewList: HTMLElement;
        masonryItem: HTMLElement[];
    };
    onPropertyChanged(newReviews: ReviewWithProductPublic[], currentReviews: ReviewWithProductPublic[]): void;
    get numColumns(): number;
    get columnAmount(): number;
    get reviewCardComponent(): ReviewCardComponent;
    get isImageFullHeight(): boolean;
    get gridColumnSize(): string;
    onReviewCardMediaClick(initialIndex: number, initialMedia: MediaReviewViewModel[]): void;
    cardUpdated(settings: CardUpdatedEvent): void;
    resizeGridItem(height: number, item: HTMLElement): void;
}
